/*
 * Class WEL_PAINT_STRUCT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_782 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_782 [] = {0xFF01,1551,781,0xFFFF};
static const EIF_TYPE_INDEX egt_2_782 [] = {0xFF01,781,0xFFFF};
static const EIF_TYPE_INDEX egt_3_782 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_782 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_782 [] = {0xFF01,781,0xFFFF};
static const EIF_TYPE_INDEX egt_6_782 [] = {0xFF01,781,0xFFFF};
static const EIF_TYPE_INDEX egt_7_782 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_782 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_782 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_782 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_782 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_782 [] = {0xFF01,781,0xFFFF};
static const EIF_TYPE_INDEX egt_13_782 [] = {0xFF01,797,0xFFFF};


static const struct desc_info desc_782[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_782), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_782), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_782), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_782), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_782), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_782), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_782), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_782), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_782), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_782), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_782), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_782), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x061B /*781*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_782), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 18225, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_782), 18226, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 18229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18230, 0xFFFFFFFF},
};
void Init782(void)
{
	IDSC(desc_782, 0, 781);
	IDSC(desc_782 + 1, 1, 781);
	IDSC(desc_782 + 32, 791, 781);
	IDSC(desc_782 + 34, 1359, 781);
	IDSC(desc_782 + 44, 1308, 781);
	IDSC(desc_782 + 54, 925, 781);
}


#ifdef __cplusplus
}
#endif
